Index: trunk/prototype/services/iCal.php
===================================================================
--- trunk/prototype/services/iCal.php	(revision 6344)
+++ trunk/prototype/services/iCal.php	(revision 6346)
@@ -34,5 +34,4 @@
 	    switch ($v['type']) {
 		case EVENT_ID:
-
 		    $vevent = $ical->newComponent('vevent');
 
@@ -63,4 +62,6 @@
 				    $repeat['until'] = $time->format(DATE_RFC822);
 				} else if ($ir == 'count')
+				    $repeat[$ir] = $rv;
+				else if ($ir == 'interval')
 				    $repeat[$ir] = $rv;
 				else if ($ir !== 'schedulable' && $ir !== 'id' && $ir !== 'startTime')
Index: trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6331)
+++ trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6346)
@@ -747,5 +747,7 @@
     patati['bymonthday'] = patati['byyearday'] = patati['byday'] = '';
 	
-    patati['interval'] = patati['endTime'] = patati['count'] = patati['startTime'] = 0;
+    patati['interval'] = 1 ,
+    
+    patati['endTime'] = patati['count'] = patati['startTime'] = 0;
 	
     if( form.frequency === 'none' )
Index: trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- trunk/prototype/modules/calendar/js/helpers.js	(revision 6331)
+++ trunk/prototype/modules/calendar/js/helpers.js	(revision 6346)
@@ -62,5 +62,5 @@
         if (!eventInterval.length)
             return 'Por favor, informe o intervalo';
-        else if (parseInt(eventInterval,10) < 0 || parseInt(eventInterval,10).toString() == "NaN")
+        else if (parseInt(eventInterval,10) < 1 || parseInt(eventInterval,10).toString() == "NaN")
             return 'Por favor informe um valor válido para o intervalo';
     }    
@@ -492,10 +492,10 @@
 		case "daily":
 		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Dia(s)")
-		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "0" );
+		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "1" );
 		    $(".frequency option[value='daily']").attr('selected', 'selected');
 		    break;
 		case "weekly":
 		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Semana(s)")
-		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "0" );
+		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "1" );
 		    $(".frequency option[value='weekly']").attr('selected', 'selected');
 					    
@@ -513,5 +513,5 @@
 		case "monthly":
 		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Mes(s)")
-		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "0" );
+		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "1" );
 		    $(".frequency option[value='monthly']").attr('selected', 'selected')
 		    $(".event-repeat-monthly:last").removeClass("hidden").find("input[type=radio][name=repeatmonthyType]").click(function(){
@@ -528,5 +528,5 @@
 		case "yearly":
 		    $(".event-repeat-container:last").find(".repeat-in").find(".interval").html("Ano(s)")
-		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "0" );
+		    .end().find(".eventInterval").val( objEvent.repeat['interval'] || "1" );
 		    $(".frequency option[value='yearly']").attr('selected', 'selected')
 		    break;	
Index: trunk/prototype/modules/calendar/templates/event_repeat.ejs
===================================================================
--- trunk/prototype/modules/calendar/templates/event_repeat.ejs	(revision 6066)
+++ trunk/prototype/modules/calendar/templates/event_repeat.ejs	(revision 6346)
@@ -19,5 +19,5 @@
 	<p class="input-group event-repeat-monthly hidden frequency-option"> 
 		<label>Mensalmente por </label>
-		<input type="radio" name="repeatmonthyType" value="0">
+		<input type="radio" name="repeatmonthyType" value="1">
 		<label for="repeatmonthyType">dia do mês</label>
 
@@ -70,5 +70,5 @@
                             <option value="occurrences">Termina Após n Ocorrencias</option>
                         </select>
-						<input type="text" name="end" class="date customDateEnd hidden">
+                        <input type="text" name="end" class="date customDateEnd hidden">
                         <input type="text" name="occurrences" class="tiny number occurrencesEnd hidden">
 			<label name="occurrences" class="hidden">Ocorrências</label>
@@ -78,5 +78,5 @@
                 <span class="input-group">
 			<label>Tendo intervalo de</label>
-			<input type="text" name="" class="tiny number eventInterval" value="0">
+			<input type="text" name="" class="tiny number eventInterval" value="1">
 			<label class="interval"></label>
 		</span>