Index: sandbox/2.4.1-3/admin/inc/class.uiconfig.inc.php
===================================================================
--- sandbox/2.4.1-3/admin/inc/class.uiconfig.inc.php	(revision 5988)
+++ sandbox/2.4.1-3/admin/inc/class.uiconfig.inc.php	(revision 6357)
@@ -11,4 +11,6 @@
   \**************************************************************************/
 
+require_once('prototype/api/config.php');
+use prototype\api\Config as Config;
 
 	class uiconfig
Index: sandbox/2.4.1-3/prototype/services/OpenLDAP.php
===================================================================
--- sandbox/2.4.1-3/prototype/services/OpenLDAP.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/services/OpenLDAP.php	(revision 6357)
@@ -1,3 +1,5 @@
 <?php
+
+use prototype\api\Config as Config;
 
 class OpenLDAP implements Service
Index: sandbox/2.4.1-3/prototype/services/PostgreSQL.php
===================================================================
--- sandbox/2.4.1-3/prototype/services/PostgreSQL.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/services/PostgreSQL.php	(revision 6357)
@@ -39,4 +39,6 @@
  * @since      Arquivo disponibilizado na versão 2.4
  */
+
+use prototype\api\Config as Config;
 
 class PostgreSQL implements Service
Index: sandbox/2.4.1-3/prototype/services/ImapServiceAdapter.php
===================================================================
--- sandbox/2.4.1-3/prototype/services/ImapServiceAdapter.php	(revision 6212)
+++ sandbox/2.4.1-3/prototype/services/ImapServiceAdapter.php	(revision 6357)
@@ -42,4 +42,6 @@
 include_once ROOTPATH."/../expressoMail1_2/inc/class.imap_functions.inc.php";
 
+use prototype\api\Config as Config;
+
 /**
  *
Index: sandbox/2.4.1-3/prototype/services/iCal.php
===================================================================
--- sandbox/2.4.1-3/prototype/services/iCal.php	(revision 6215)
+++ sandbox/2.4.1-3/prototype/services/iCal.php	(revision 6357)
@@ -4,4 +4,6 @@
 require_once ROOTPATH . '/plugins/icalcreator/iCalcreator.class.php';
 require_once ROOTPATH . '/modules/calendar/constants.php';
+
+use prototype\api\Config as Config;
 
 //TODO:Timeout request
Index: sandbox/2.4.1-3/prototype/me.php
===================================================================
--- sandbox/2.4.1-3/prototype/me.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/me.php	(revision 6357)
@@ -2,4 +2,5 @@
 
 require_once  (dirname(__FILE__).'/api/controller.php');
+use prototype\api\Config as Config;
 
 $me = Controller::read(array('concept' => 'user', 'service' => 'OpenLDAP'  , 'id' => Config::me('uidNumber')));
Index: sandbox/2.4.1-3/prototype/modules/mail/interceptors/Attachments.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/mail/interceptors/Attachments.php	(revision 6130)
+++ sandbox/2.4.1-3/prototype/modules/mail/interceptors/Attachments.php	(revision 6357)
@@ -47,4 +47,7 @@
 * @since      Classe disponibilizada na versÃ£o 2.4
 */
+
+use prototype\api\Config as Config;
+
 class Attachments {	
 	
Index: sandbox/2.4.1-3/prototype/modules/mail/interceptors/Helpers.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/mail/interceptors/Helpers.php	(revision 6212)
+++ sandbox/2.4.1-3/prototype/modules/mail/interceptors/Helpers.php	(revision 6357)
@@ -1,4 +1,6 @@
 <?php
 include_once ROOTPATH."/../expressoMail1_2/inc/class.imap_functions.inc.php";
+
+use prototype\api\Config as Config;
 
 class Helpers {    
Index: sandbox/2.4.1-3/prototype/modules/mail/interceptors/LabelSecure.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/mail/interceptors/LabelSecure.php	(revision 5540)
+++ sandbox/2.4.1-3/prototype/modules/mail/interceptors/LabelSecure.php	(revision 6357)
@@ -1,3 +1,6 @@
 <?php
+
+use prototype\api\Config as Config;
+
 class LabelSecure {	
 
Index: sandbox/2.4.1-3/prototype/modules/mail/interceptors/FollowupflagSecure.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/mail/interceptors/FollowupflagSecure.php	(revision 5611)
+++ sandbox/2.4.1-3/prototype/modules/mail/interceptors/FollowupflagSecure.php	(revision 6357)
@@ -1,3 +1,6 @@
 <?php
+
+use prototype\api\Config as Config;
+
 class FollowupflagSecure {	
 	
Index: sandbox/2.4.1-3/prototype/modules/calendar/interceptors/Notifications.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/calendar/interceptors/Notifications.php	(revision 6190)
+++ sandbox/2.4.1-3/prototype/modules/calendar/interceptors/Notifications.php	(revision 6357)
@@ -5,4 +5,6 @@
 require_once ROOTPATH . '/plugins/icalcreator/iCalcreator.class.php';
 require_once ROOTPATH . '/api/parseTPL.php';
+
+use prototype\api\Config as Config;
 
 class Notifications extends Helpers {
Index: sandbox/2.4.1-3/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6215)
+++ sandbox/2.4.1-3/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6357)
@@ -5,4 +5,6 @@
 
 require_once ROOTPATH . '/modules/calendar/interceptors/Helpers.php';
+
+use prototype\api\Config as Config;
 
 class DBMapping extends Helpers {
Index: sandbox/2.4.1-3/prototype/modules/calendar/interceptors/DAViCalAdapter.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/calendar/interceptors/DAViCalAdapter.php	(revision 6010)
+++ sandbox/2.4.1-3/prototype/modules/calendar/interceptors/DAViCalAdapter.php	(revision 6357)
@@ -1,4 +1,5 @@
 <?php
 require_once ROOTPATH.'/modules/calendar/constants.php';
+use prototype\api\Config as Config;
 
 class DAViCalAdapter { 
Index: sandbox/2.4.1-3/prototype/modules/calendar/alarms.php
===================================================================
--- sandbox/2.4.1-3/prototype/modules/calendar/alarms.php	(revision 6111)
+++ sandbox/2.4.1-3/prototype/modules/calendar/alarms.php	(revision 6357)
@@ -7,4 +7,6 @@
 require_once ROOTPATH.'/modules/calendar/constants.php';
 require_once ROOTPATH.'/api/parseTPL.php';
+
+use prototype\api\Config as Config;
 
 $target = (gmdate('U') - 300 ).'000';
Index: sandbox/2.4.1-3/prototype/api/newcontroller.php
===================================================================
--- sandbox/2.4.1-3/prototype/api/newcontroller.php	(revision 5715)
+++ sandbox/2.4.1-3/prototype/api/newcontroller.php	(revision 6357)
@@ -5,4 +5,5 @@
 
 require_once(ROOTPATH.'/api/config.php');
+use prototype\api\Config as Config;
 
 /**
Index: sandbox/2.4.1-3/prototype/api/controller.php
===================================================================
--- sandbox/2.4.1-3/prototype/api/controller.php	(revision 6132)
+++ sandbox/2.4.1-3/prototype/api/controller.php	(revision 6357)
@@ -44,4 +44,5 @@
 
 require_once(ROOTPATH.'/api/config.php');
+use prototype\api\Config as Config;
 
 /**
Index: sandbox/2.4.1-3/prototype/api/config.php
===================================================================
--- sandbox/2.4.1-3/prototype/api/config.php	(revision 5764)
+++ sandbox/2.4.1-3/prototype/api/config.php	(revision 6357)
@@ -1,3 +1,5 @@
 <?php
+
+namespace prototype\api;
 
 class Config 
Index: sandbox/2.4.1-3/prototype/rest/mail/MailLastResource.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/mail/MailLastResource.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/mail/MailLastResource.php	(revision 6357)
@@ -1,4 +1,6 @@
 <?php
  
+use prototype\api\Config as Config;
+
 class MailLastResource extends Resource {
  
Index: sandbox/2.4.1-3/prototype/rest/dispatch.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/dispatch.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/dispatch.php	(revision 6357)
@@ -4,5 +4,4 @@
 require_once __DIR__ . '/../api/controller.php';
 require_once ROOTPATH . '/rest/oauth/OAuth2StorageUserCredential.php';
-
 
 //Retrieveing the mapping of the URIs and his respectives classNames and classPath
@@ -32,5 +31,7 @@
 	global $classpath;
 
-	require_once(__DIR__ . $classpath[ $class ] );
+	if(isset($classpath[ $class ])){
+		require_once(__DIR__ . $classpath[ $class ] );
+	}
 }
 
Index: sandbox/2.4.1-3/prototype/rest/calendar/CalendarLastResource.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/calendar/CalendarLastResource.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/calendar/CalendarLastResource.php	(revision 6357)
@@ -1,3 +1,5 @@
 <?php
+
+use prototype\api\Config as Config;
 
 class CalendarLastResource extends Resource{
Index: sandbox/2.4.1-3/prototype/rest/contact/DynamicContactDeleteResource.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/contact/DynamicContactDeleteResource.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/contact/DynamicContactDeleteResource.php	(revision 6357)
@@ -2,4 +2,6 @@
 
 require_once('/home/tezza/expressoDFD/prototype/rest/hypermedia/hypermedia.php');
+
+use prototype\api\Config as Config;
 
 class DynamicContactDeleteResource extends Resource{
Index: sandbox/2.4.1-3/prototype/rest/contact/DynamicContactsResource.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/contact/DynamicContactsResource.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/contact/DynamicContactsResource.php	(revision 6357)
@@ -1,3 +1,5 @@
 <?php
+
+use prototype\api\Config as Config;
 
 class DynamicContactsResource extends Resource {
Index: sandbox/2.4.1-3/prototype/rest/contact/DynamicContactResource.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/contact/DynamicContactResource.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/contact/DynamicContactResource.php	(revision 6357)
@@ -1,3 +1,5 @@
 <?php
+
+use prototype\api\Config as Config;
 
 class DynamicContactResource extends Resource {
Index: sandbox/2.4.1-3/prototype/rest/user/UsersResource.php
===================================================================
--- sandbox/2.4.1-3/prototype/rest/user/UsersResource.php	(revision 6351)
+++ sandbox/2.4.1-3/prototype/rest/user/UsersResource.php	(revision 6357)
@@ -5,4 +5,6 @@
 
 require_once(ROOTPATH.'/rest/hypermedia/hypermedia.php');
+
+use prototype\api\Config as Config;
 
 class UsersResource extends Resource {