Index: /sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css
===================================================================
--- /sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css	(revision 6272)
+++ /sandbox/2.4.1-2/expressoMail1_2/templates/default/main.css	(revision 6381)
@@ -1263,4 +1263,6 @@
 }
 
+.outoffice-inner { width: 280px; }
+
 .title-outoffice
 {
@@ -1269,7 +1271,5 @@
 	font-size: 1.2em;
 }
-.outoffice span{
-	margin: 5px;
-}
+.outoffice span{ margin: 5px; }
 
 #detalhes_contato img{ margin-bottom: -4px;}
Index: /sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js
===================================================================
--- /sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6272)
+++ /sandbox/2.4.1-2/expressoMail1_2/js/QuickCatalogSearch.js	(revision 6381)
@@ -151,9 +151,11 @@
 					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 					if ( data_[id_contact].vacationinfo ){
-						details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
-						var link = $('<a>').html('Ver mais');
-						link.attr('id','more');
-						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-						details.append(link);
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data_[id_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){						
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}
 					}
 				}
@@ -169,9 +171,11 @@
 					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 					if (data_[id_contact].vacationinfo){
-						details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
-						var link = $('<a>').html('Ver mais');
-						link.attr('id','more');
-						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-						details.append(link);
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data_[id_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}
 					}
 				}	
@@ -212,9 +216,11 @@
 					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 					if (data_[id_contact].vacationinfo){
-						details.append('<div class="outoffice"><span>'+ data_[id_contact].vacationinfo +'</span></div>')
-						var link = $('<a>').html('Ver mais');
-						link.attr('id','more');
-						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-						details.append(link);
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data_[id_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}
 					}	
 				}				
@@ -353,9 +359,11 @@
 					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 					if ( data[first_contact].vacationinfo ){
-						details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
-						var link = $('<a>').html('Ver mais');
-						link.attr('id','more');
-						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-						details.append(link);
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[first_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){						
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}	
 					}	
 				}							
@@ -371,9 +379,11 @@
 					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 					if ( data[first_contact].vacationinfo ){
-						details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
-						var link = $('<a>').html('Ver mais');
-						link.attr('id','more');
-						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-						details.append(link);
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[first_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}	
 					}
 				}				
@@ -413,9 +423,11 @@
 					details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 					if ( data[first_contact].vacationinfo ){
-						details.append('<div class="outoffice"><span>'+ data[first_contact].vacationinfo +'</span></div>')
-						var link = $('<a>').html('Ver mais');
-						link.attr('id','more');
-						link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-						details.append(link);
+						details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[first_contact].vacationinfo +'</span></div></div>');
+						if ( $('.outoffice-inner').height() > $('.outoffice').height() ){						
+							var link = $('<a>').html('Ver mais');
+							link.attr('id','more');
+							link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+							details.append(link);
+						}	
 					}
 				}				
@@ -470,9 +482,11 @@
 										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 										if ( data[this.value].vacationinfo ){
-											details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
-											var link = $('<a>').html('Ver mais');
-											link.attr('id','more');
-											link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-											details.append(link);
+											details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[this.value].vacationinfo +'</span></div></div>');
+											if ( $('.outoffice-inner').height() > $('.outoffice').height() ){											
+												var link = $('<a>').html('Ver mais');
+												link.attr('id','more');
+												link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+												details.append(link);
+											}
 										}
 									}									
@@ -488,9 +502,11 @@
 										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 										if ( data[this.value].vacationinfo ){
-											details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
-											var link = $('<a>').html('Ver mais');
-											link.attr('id','more');
-											link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-											details.append(link);
+											details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[this.value].vacationinfo +'</span></div></div>');
+											if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+												var link = $('<a>').html('Ver mais');
+												link.attr('id','more');
+												link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+												details.append(link);
+											}	
 										}
 									}									
@@ -529,9 +545,11 @@
 										details.append('<p><img src="templates/default/images/mala-big.png"/><span class="title-outoffice">Filtro "Fora do Escritório" ativo.</span></p>');	
 										if ( data[this.value].vacationinfo ){
-											details.append('<div class="outoffice"><span>'+ data[this.value].vacationinfo +'</span></div>')
-											var link = $('<a>').html('Ver mais');
-											link.attr('id','more');
-											link.bind('click',function(){$('.outoffice').animate({height:'100px',width: '-=15px'},800); $('#more').unbind('click').hide();});
-											details.append(link);
+											details.append('<div class="outoffice"><div class="outoffice-inner"><span>'+ data[this.value].vacationinfo +'</span></div></div>')
+											if ( $('.outoffice-inner').height() > $('.outoffice').height() ){
+												var link = $('<a>').html('Ver mais');
+												link.attr('id','more');
+												link.bind('click',function(){$('.outoffice').animate({height: $('.outoffice-inner').height(),width: '-=15px'},800); $('#more').unbind('click').hide();});
+												details.append(link);
+											}
 										}	
 									}									